spring:
  datasource:
    driver-class-name: org.h2.Driver
    url: jdbc:h2:file:./h2/data/ccui2;MODE=MySQL;DATABASE_TO_LOWER=TRUE;CASE_INSENSITIVE_IDENTIFIERS=TRUE;DEFAULT_NULL_ORDERING=HIGH;DB_CLOSE_DELAY=-1;AUTO_SERVER=TRUE
    username: ${h2.datasource.username:sa}
    password: ${h2.datasource.password:}
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      maximum-pool-size: 100 # 最大连接数
      minimum-idle: 10 # 最小连接数
      idle-timeout: 300000 # 一个连接最大时长，默认:10分钟
      connection-timeout: 30000 # 等待连接池分配连接的最大时长，默认:30秒
  jpa:
    database: h2
    database-platform: org.hibernate.dialect.H2Dialect
    show-sql: false
    open-in-view: true
    hibernate:
      ddl-auto: none
    defer-datasource-initialization: false
  sql:
    init:
      mode: never
  h2:
    console:
      enabled: true
      path: /h2-console
  messages:
    encoding: utf-8
  servlet:
    multipart:
      max-file-size: 100MB # 单个文件大小
      max-request-size: 100MB # 设置总上传的数据大小
      enabled: true #开启
server:
  port: 8066
  # 解决乱码
  tomcat:
    uri-encoding: UTF-8
  servlet:
    encoding:
      charset: utf-8
      enabled: true
      force: true
    context-path: /gd-api
lucene:
  index:
    dir: ./lucene/

logging:
  level:
    #root: debug
    cn.com.capcloud: info #这里使用了日志组件的程序所在的路径名
    org.springframework.data.convert.CustomConversions: ERROR
rzth:
  captcha-return-value: Y